Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 21 Aug 2014, 02:18
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects » Next Puppy Development » 5.x
Dpup additional software testing.
Moderators: BarryK, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 5 [65 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Author Message
dejan555


Joined: 30 Nov 2008
Posts: 2647
Location: Montenegro

PostPosted: Sun 24 Jan 2010, 06:15    Post subject:  

Weechat updated to 0.3.1: weechat-0.3.1-i486-dpup.pet
Compiled without libiconv dependencies.

@gposil, have you looked @ my code for packaging^^ , can this be done?

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Sun 24 Jan 2010, 07:12    Post subject:  

dejan555 wrote:
Weechat updated to 0.3.1: weechat-0.3.1-i486-dpup.pet
Compiled without libiconv dependencies.

@gposil, have you looked @ my code for packaging^^ , can this be done?


Done and in Dpup repo

Cheers

_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
dejan555


Joined: 30 Nov 2008
Posts: 2647
Location: Montenegro

PostPosted: Sun 24 Jan 2010, 07:22    Post subject:  

Cool.

BTW I though if code I posted on previous page can be modified for making dpup pets.

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Sun 24 Jan 2010, 08:15    Post subject:  

dejan555 wrote:
Cool.

BTW I though if code I posted on previous page can be modified for making dpup pets.


Here's the new dpup spec file

.
petspec.gz
Description  Dpup Petspec
gz

 Download 
Filename  petspec.gz 
Filesize  2.23 KB 
Downloaded  870 Time(s) 

_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
dejan555


Joined: 30 Nov 2008
Posts: 2647
Location: Montenegro

PostPosted: Sun 24 Jan 2010, 10:00    Post subject:  

OK, I thought this is going to be harder but here's my personal simplified version of dir2pet Cool

Code:

#!/bin/sh
FOLDR=$(basename "$1")
echo "Making dotpet out of $FOLDR"
cd "$1"
VER=`echo $FOLDR | sed 's/[^-]*-//'`
NAME=`echo $FOLDR | sed 's/'"-$VER"'//'`
echo "$FOLDR|$NAME|$VER|BuildingBlock||pet_packages-5|$FOLDR.pet|||debian|lenny|5|" > pet.specs
cd ..
tar -cf "$FOLDR.tar" "$FOLDR"
gzip "$FOLDR.tar"
tgz2pet "$FOLDR.tar.gz"
echo Finished


_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Tue 26 Jan 2010, 06:49    Post subject:  

Here's a nice game for Dpup --- Alienblaster

http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-5/alienblaster-1.1-dpup.pet

Cheers

_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
dejan555


Joined: 30 Nov 2008
Posts: 2647
Location: Montenegro

PostPosted: Mon 01 Feb 2010, 17:40    Post subject:  

most GTK themes segfault even when I comment those additional engines they use, I remember I could apply them without segfaults though on 4.1. Anyway I made a puppy compatible GTK theme Slikness Black-alike:
http://murga-linux.com/puppy/viewtopic.php?p=388515#388515

Who likes dark themes try it...

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
Eyes-Only


Joined: 10 Aug 2006
Posts: 1046
Location: La Confederation Abenaquaise

PostPosted: Wed 03 Feb 2010, 12:21    Post subject:    

Hi Guy,

Seeing that you'd like to know what apps installed into Dpup-484 work as well ( mine is beta3 as I never did bother to upgrade to b4... having too much fun mate! ), I installed the following from "PPM-Debian-Lenny":

Blackbox-0.70.1
Fluxbox-1.0.0
Netsurf-1.2

These have worked flawlessly and without errors straight from the Debian-Lenny repo. Plus the PPM handled the necessary dependencies as well. I did need to create a "startblackbox" exe file in "/usr/bin" for Blackbox but that's par for the course.

Added to this: I installed my own bbdock from a Playdayz .pet file - can't recall the version ATM - but that works excellent too. Plus I've added "wmweather+" from another Debian-based distro and all the dependencies ( by doing "ldd" in CLI on the exe, yada, yada... ). Works perfect with the bbdock! Smile

Let me think ( dangerous assuredly! )... Oh yeah! And the most important for me of all: I immediately added to the mixture before anything else MU's compile of "XFE-1.19.2, plus XFE apps and FOXlibs dependencies" ( which I believe he compiled upon Slacky-12 but works great here! ). I always install this first into any distro as I use it for installing software from .tar.gz files, sometimes .pets ( it comes with a .pet installer ).

There have been assorted and sundry other items here and there thrown into the stew as well such as gtk engines ( from Debian-Lenny and others ), themes, "small stuff", all which has been working/chugging along on this computer as happily as if it had brains. Very Happy I guess this is one of the 1,001 reasons why I'm so thrilled with Dpup!

Keep up the fantabulous work Guy and others, please! I am anxiously awaiting the final - hope I'm still around by then!

Amicalement/Cheers!

Eyes-Only
"L'Peau-Rouge"

_________________
*~*~*~*~*~*
Proud user of LXpup and 3-Headed Dog. Cool
*~*~*~*~*~*
Back to top
View user's profile Send private message 
dejan555


Joined: 30 Nov 2008
Posts: 2647
Location: Montenegro

PostPosted: Wed 03 Feb 2010, 13:16    Post subject:  

I installed World of Goo demo deb. from their official site. With dri lib installed works like a charm. Smile
_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
dejan555


Joined: 30 Nov 2008
Posts: 2647
Location: Montenegro

PostPosted: Fri 12 Feb 2010, 17:45    Post subject:  

New version of weechat available:

Quote:

This version fixes crashes with SSL connection and purge of old DCC chats. It is recommended to upgrade from 0.3.1 to 0.3.1.1 for all users.


Here's pet for dpup:
weechat-0.3.1.1-i486-dpup.pet

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
Eyes-Only


Joined: 10 Aug 2006
Posts: 1046
Location: La Confederation Abenaquaise

PostPosted: Fri 12 Feb 2010, 18:52    Post subject:  

I've been trying like crazy to get technosaurus' .pet of Midori to work in several differing versions of Puppy and it's been a no-go for me. Since I've had today mainly for a "play day" I've been here in Dpup all the day long just having a bonafide blast!

I got Conky ( my own version installed - not the one used in Pwidgets I guess? ) going easily. I just use that basically to keep track of my partition stats, CPU/RAM, kernel versions, and sundry items. To make sure that I have a background behind it I normally bring over "bsetbg" and "Esetroot" - they worked great ( of course! ).

Then I happened to remember, "Oh yeah! I've got the Ubuntu repos here! Let's try Midori!" Scanning through the PPM I failed to find Midori which I thought rather odd? So I went over to Debian-Testing and grabbed version 1.8.10 I think it was? I likewise did a cursory check for several .debs that Midori depended upon that aren't in Dpup ( like "libwebkit.so" and such ) and grabbed a few of them.

To make a long story short - I'm posting this from a truly beautiful and fully-operational version of Midori straight from Debian-Testing into Dpup that didn't take long to install at all. Smile

Isn't having this much fun illegal in the USA? LOL!

I LOVE THIS PUPPY!!!

Eyes-Only
"L'Peau-Rouge"

_________________
*~*~*~*~*~*
Proud user of LXpup and 3-Headed Dog. Cool
*~*~*~*~*~*
Back to top
View user's profile Send private message 
Béèm


Joined: 21 Nov 2006
Posts: 11782
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Fri 12 Feb 2010, 19:08    Post subject:  

Eyes-Only wrote:

I LOVE THIS PUPPY!!!

Eyes-Only
"L'Peau-Rouge"
Content de te lire.
Oui puppy (toutou) est adorable. Wink

_________________
Time savers:
Find packages in a snap and install using Puppy Package Manager (Menu).
Consult Wikka
Use peppyy's puppysearch
Back to top
View user's profile Send private message 
gerry

Joined: 26 Jul 2007
Posts: 946
Location: England

PostPosted: Sun 14 Feb 2010, 08:53    Post subject:  

Installed IsoMaster from Lenny repository. Works perfectly.

gerry
Back to top
View user's profile Send private message 
dejan555


Joined: 30 Nov 2008
Posts: 2647
Location: Montenegro

PostPosted: Wed 17 Feb 2010, 17:05    Post subject:  

Suggestion: Instead of having three different media players (MPLAYER/ BMP / OGLE DVD PLAYER) maybe leave only mplayer, drop other two and compile this new Enna media player frontend for mplayer which is very powerfull player itself.
dpup would be super cool with that Cool , dunno if it would add a lot of dependencies though but if beep media player and ogle striped I guess it would save some space.

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
gerry

Joined: 26 Jul 2007
Posts: 946
Location: England

PostPosted: Fri 05 Mar 2010, 13:36    Post subject:  

I tried to install Epiphany-Gecko from the Lenny repo. It permanently crashed the Package Manager.

gerry
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 5 [65 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects » Next Puppy Development » 5.x
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0908s ][ Queries: 12 (0.0150s) ][ GZIP on ]